Class OpenFileServlet
java.lang.Object
jakarta.servlet.GenericServlet
jakarta.servlet.http.HttpServlet
com.semanticcms.openfile.servlet.ajax.OpenFileServlet
- All Implemented Interfaces:
Servlet,ServletConfig,Serializable
@WebServlet("/semanticcms-openfile-servlet/ajax/open-file")
public class OpenFileServlet
extends HttpServlet
Opens the file provided in the book and path parameters. This file
must reside within this application and be of a supported type.
This is to be called by the JavaScript function openFile.
Request parameters: book The name of the book of the file to open path The book-relative path of the file to open
- See Also:
-
Field Summary
FieldsFields inherited from class jakarta.servlet.http.HttpServlet
LEGACY_DO_HEAD -
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionprotected voiddoPost(HttpServletRequest request, HttpServletResponse response) Methods inherited from class jakarta.servlet.http.HttpServlet
doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, init, service, serviceMethods inherited from class jakarta.servlet.GenericServlet
destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log
-
Field Details
-
SERVLET_PATH
- See Also:
-
-
Constructor Details
-
OpenFileServlet
public OpenFileServlet()
-
-
Method Details
-
doPost
protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException - Overrides:
doPostin classHttpServlet- Throws:
ServletExceptionIOException
-
